Subject: Re: the usual mail stuff, was IETF...the unconference of SDOs

From: Sabahattin Gucukoglu <[email-masked]>
Date: Thu, 25 Oct 2012 23:50:02 +0100

Wo!  There's a whole section of the conversation that ended up in "Untidy" that shouldn't've.

On 9 Sep 2012, at 20:25, John Levine <[email-masked]> wrote:
> I have to say that I'm baffled at the perverse pride that people seem
> to take in being so technically backward that they're unable to handle
> the mail that 99% of the world uses today.  While not being a fan of
> overdecorated HTML and endless font changes, and strongly preferring a
> mail program that lets me keep my fingers on the keyboard, I can deal
> with it.  (I use Alpine, keep meaning to take another look at mutt.)

This sort of modernist attitude only really works while you're not recovering mail from mbox files using less.  Or, in general, while you need to do as little work as possible to redisplay or process a message.  Not to say you're point isn't essentially valid--we must, of course, be aware of the current trends--but popularity doesn't mean correct for the group of people genuinely preferring low-overhead or "Technically backward" MUAs, pagers, scripts, etc.  Those people got there first and have a pretty good leverage for screaming at other people who got there later, and failed to regard those others not like themselves by flagrantly ignoring standards which would have guaranteed interoperability had they not done so, particularly when the primary motivation for doing so is ease of implementation with a fundamentally different UI paradigm.

Keep using alpine.  Move to mutt and you'll get pretty plus-signs in the left column of wrapped mail--that is, unless mutt has also worked around this type of breakage (doubtful, they're a pretty puritanical bunch :-) ).  But mutt has maildir+ support where alpine doesn't without a load of controversial patching, and so while I'm using alpine now it's only because I go through Dovecot as intermediary or use external IMAP servers.  (Yes, free email providers accessed through IMAP/SMTP in textmode as opposed to /usr/sbin/sendmail are cool when they come from Apple.  They're … all shiny. :-) )

> For the large majority of mail that is written in paragraphs rather
> than tables, line wrapping is a useful feature, regardless of the
> character set, particularly for those of us who sometimes read our
> mail on a tablet or phone while changing planes.  For mail that is a
> table and stuff has to line up in columns, use HTML tables. That's
> what they're for.
> 
And Format=Flowed takes care of the first requirement.  Multipart/alternative takes care of the latter (when inventive multi-line columns will not suffice) (and they don't, with small-screen devices).

> PS: Yes, this is top posted.  You can deal with that, too.

This message bottom-posted for your reading convenience, as opposed to my laziness.  It'll render beautifully in alpine, I'm sure. :-)

Cheers,
Sabahattin